MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003088VCMIOtherpublic2019-10-14 17:552019-10-14 17:55
Reporteragru 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
PlatformLinuxOSArch Linux x64OS Versionupstream
Product Version0.99 
Target VersionFixed in Version 
Summary0003088: github repo missing part of VCMI Essentials mod
DescriptionThe `vcmi/Mods/vcmi` folder on github is missing the `Maps` and `Mods` directories that are present in the `VCMI essential files mods (1.01) ` package available at https://wiki.vcmi.eu/Mod_list [^] .
The version in github is 0.99 and the one in mod list is 1.01.

This results in at least the increased resolution mod to be non functional (it silently falls back to 800x600):
```
  Selected resolution 1024x600 was not found!
  Falling back to 800x600
```

Also the "VCMI essential files" is not expandable in the VCMI launcher (guess since its broken).

Downloading the package resolves this, and the "submods" show up in the launcher, thus I suggest the newer package to simply be merged into the repo.
Steps To ReproduceInstall the `develop` branch using `make install`.
Tested using the Arch linux aur `vcmi-git` package.
Additional InformationThis is likely the same issue as the ones reported in 0002260 & 0002003 and if fixed those should be possible to close as well.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2019-10-14 17:55 agru New Issue

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2019 MantisBT Team
Hosting provided by DigitalOcean